Bug 11918 - pdftotext default encoding
: pdftotext default encoding
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/xpdf-utils)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-05-30 10:51 by
Modified: 2008-02-26 15:03 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-05-30 10:51:52
Просьба сделать кодировку по умолчанию для pdftotext - UTF-8, а не Latin1
В этом случае будет нормально работать просмотр русских pdf у программ,
использующих pdftotext в качестве фильтра.
------- Comment #1 From 2007-05-30 10:52:32 -------
например у того-же пресловутого MC
------- Comment #2 From 2007-11-07 14:24:20 -------
(In reply to comment #0)
> Просьба сделать кодировку по умолчанию для pdftotext - UTF-8, а не Latin1
> В этом случае будет нормально работать просмотр русских pdf у программ,
> использующих pdftotext в качестве фильтра.

Просмотр будет нормальным только для консоли в UTF-8. А это далеко не всегда
имеет место..
------- Comment #3 From 2007-11-07 14:29:10 -------
(In reply to comment #1)
> например у того-же пресловутого MC

В случае вызова из MC'шного mc.ext правильным решением будет смотреть на
кодировку  консоли. То есть, не просто вызывать pdftotext, а в зависимости от
того, в какой кодировке консоль (utf-8, koi8, windows-1251) подставлять нужное
значение в параметр -enc утилиты pdftotext.
------- Comment #4 From 2007-11-12 12:14:29 -------
Поскольку мне сейчас необходимо сделать сборку xpdf, по другим причинам, хотел
бы услышать есть ли контраргумены к моей позиции или нет? Если нет, то будет
WONTFIX и enhancement для mc.
------- Comment #5 From 2007-11-16 13:11:08 -------
OK, закрываю.